<?xml version="1.0" encoding="utf-8" ?>
<install type="module">
	<name>odyssey_lof_featured_articles</name>
	<title>Odyssey LOF Featured Articles</title>
	<protected>0</protected>
	<version>2.0</version>
	<author>korinthorama.gr</author>	
	<files>
		<file type="root">odyssey_lof_featured_articles.php</file>
		<file type="sprite">nav_colors.png</file>
		<file type="css">style.css</file>
		<file type="js">jquery.easing.js</file>
		<file type="js">script.js</file>
		<file type="root">translations.txt</file>
	</files>
	<images>
		<image>arrows_left.png</image>
		<image>arrows_right.png</image>
		<image>grad-bg.png</image>
		<image>transparent_bg.png</image>
	</images>				
	<params>
		<param type="textfield" size="10" name="marginTop" label="marginTop" description="Το άνω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginRight" label="marginRight" description="Το δεξί εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginBottom" label="marginBottom" description="Το κάτω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginLeft" label="marginLeft" description="Το αριστερό εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingTop" label="paddingTop" description="Το άνω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingRight" label="paddingRight" description="Το δεξί εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingBottom" label="paddingBottom" description="Το κάτω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingLeft" label="paddingLeft" description="Το αριστερό εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="checkbox" name="useModuleContainer" label="useModuleContainer" description="Να εσωκλείεται το περιεχόμενο μέσα σε container. Χωρίς αυτό κάποιες παραμετροποιήσεις δεν θα είναι εφικτές">1</param>				
		<param type="textfield" size="10" name="widthInPixels" label="widthInPixels" description="Πλάτος του module container σε pixels"></param>	

		<param type="section" criteria=" isMenu=0 and systemProtected=0 " name="dataSource" label="dataSource" description="Το όνομα της ενότητας από όπου θα αντληθούν οι εικόνες"></param>
		<param type="select" default="slider" name="imageType" label="imageType" description="Ο τύπος της εικόνας που θα χρησιμοποιείται για κάθε άρθρο">
			<item value="slider">όποια έχει χαρακτηριστεί ως slider</item>
			<item value="default">όποια έχει χαρακτηριστεί ως κύρια εικόνα</item>
			<item value="logo">όποια έχει χαρακτηριστεί ως logo</item>
		</param>		
		<param type="textfield" required="true" name="mainWidth" label="mainWidth" description="Το πλάτος του news slider">980</param>
		<param type="textfield" required="true" name="navigatorWidth" label="navigatorWidth" description="Το πλάτος του navigator των featured άρθρων">400</param>
		<param type="select" default="right" name="navigatorPosition" label="navigatorPosition" description="Η θέση εμφάνισης του navigator των featured άρθρων">
			<item value="right">δεξιά</item>
			<item value="left">αριστερά</item>
		</param>
		<param type="checkbox" name="showNavigator" label="showNavigator" description="Να εμφανίζεται η πλοήγηση με τις μικρογραφίες">1</param>						
		<param type="checkbox" name="showInfo" label="showInfo" description="Να εμφανίζεται το πλαίσιο πληροφοριών της εικόνας">1</param>
		<param type="textfield" required="true" name="infoWidth" label="infoWidth" description="Το πλάτος του πλαισίου πληροφοριών της εικόνας">450</param>		
		<param type="textfield" required="true" name="duration" label="duration" description="Χρονικό διάστημα κατά το οποίο θα εκτελείται το effect εναλλαγής εικόνων (σε ms)">1500</param>
		<param type="textfield" required="true" name="interval" label="interval" description="Χρονικό διάστημα κατά το οποίο θα εναλλάσσονται τα άρθρα (σε ms)">4000</param>
		<param type="sprite" defaultStepX="19" defaultStepY="38" name="iconImageFile" label="navigatorColor" description="Το χρώμα του ενεργού άρθρου στο navigator των featured άρθρων">nav_colors.png</param>		
		<param type="checkbox" name="auto" label="auto" description="Να εναλλάσσονται αυτόματα τα άρθρα">1</param>
		<param type="select" default="slide" name="effectType" label="effectType" description="Ο τύπος του effect με το οποίο θα εναλάσσονται οι εικόνες των άρθρων">
			<item value="opacity">fade</item>
			<item value="slide">slide</item>
		</param>
		<param type="select" default="easeOutCubic" name="easingType" label="easingType" description="Ο τύπος του easing (αν δεν έχει επιλεχθεί ως effect το fade)">
		      <item value="linear">linear</item>
		      <item value="swing">swing</item>
		      <item value="jswing">jswing</item>
		      <item value="easeInQuad">easeInQuad</item>
		      <item value="easeInCubic">easeInCubic</item>
		      <item value="easeInQuart">easeInQuart</item>
		      <item value="easeInQuint">easeInQuint</item>
		      <item value="easeInSine">easeInSine</item>
		      <item value="easeInExpo">easeInExpo</item>
		      <item value="easeInCirc">easeInCirc</item>
		      <item value="easeInElastic">easeInElastic</item>
		      <item value="easeInBack">easeInBack</item>
		      <item value="easeInBounce">easeInBounce</item>
		      <item value="easeOutQuad">easeOutQuad</item>
		      <item value="easeOutCubic">easeOutCubic</item>
		      <item value="easeOutQuart">easeOutQuart</item>
		      <item value="easeOutQuint">easeOutQuint</item>
		      <item value="easeOutSine">easeOutSine</item>
		      <item value="easeOutExpo">easeOutExpo</item>
		      <item value="easeOutCirc">easeOutCirc</item>
		      <item value="easeOutElastic">easeOutElastic</item>
		      <item value="easeOutBack">easeOutBack</item>
		      <item value="easeOutBounce">easeOutBounce</item>
		      <item value="easeInOutQuad">easeInOutQuad</item>
		      <item value="easeInOutCubic">easeInOutCubic</item>
		      <item value="easeInOutQuart">easeInOutQuart</item>
		      <item value="easeInOutQuint">easeInOutQuint</item>
		      <item value="easeInOutSine">easeInOutSine</item>
		      <item value="easeInOutExpo">easeInOutExpo</item>
		      <item value="easeInOutCirc">easeInOutCirc</item>
		      <item value="easeInOutElastic">easeInOutElastic</item>
		      <item value="easeInOutBack">easeInOutBack</item>
		      <item value="easeInOutBounce">easeInOutBounce</item>
		</param>
		<param type="select" default="center" name="moduleAlign" label="moduleAlign" description="Η στοίχιση με την οποία θα εμφανίζεται το ένθεμα">
			<item value="left">αριστερά</item>
			<item value="center">κέντρο</item>
			<item value="right">δεξιά</item>
		</param>
		<param type="select" default="none" name="moduleHR" label="moduleHR" description="Εμφάνιση διαχωριστικού hr στο ένθεμα">
			<item value="none">χωρίς διαχωριστικό</item>
			<item value="top">επάνω διαχωριστικό</item>
			<item value="bottom">κάτω διαχωριστικό</item>
		</param>
	</params>
</install>